## org.apache.lucene.facet.index
Class FacetsPayloadProcessorProvider.FacetsDirPayloadProcessor

    java.lang.Object
      org.apache.lucene.index.PayloadProcessorProvider.ReaderPayloadProcessor
          org.apache.lucene.facet.index.FacetsPayloadProcessorProvider.FacetsDirPayloadProcessor

Enclosing class:
  FacetsPayloadProcessorProvider

    public static class FacetsPayloadProcessorProvider.FacetsDirPayloadProcessor

extends PayloadProcessorProvider.ReaderPayloadProcessor

Constructor Summary
`protected` `FacetsPayloadProcessorProvider.FacetsDirPayloadProcessor(FacetIndexingParams indexingParams, int[] ordinalMap)` Construct FacetsDirPayloadProcessor with custom FacetIndexingParams

Method Summary
`PayloadProcessorProvider.PayloadProcessor` `getProcessor(Term term)` Returns a `PayloadProcessorProvider.ReaderPayloadProcessor` for the given term.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacetsPayloadProcessorProvider.FacetsDirPayloadProcessor

    protected FacetsPayloadProcessorProvider.FacetsDirPayloadProcessor(FacetIndexingParams indexingParams,
                                                                       int[] ordinalMap)

  Construct FacetsDirPayloadProcessor with custom FacetIndexingParams

  Parameters:
    `ordinalMap` - an array mapping previous facets ordinals to new ones
    `indexingParams` - the facets indexing parameters

Method Detail

### getProcessor

    public PayloadProcessorProvider.PayloadProcessor getProcessor(Term term)
                                                           throws IOException

  Description copied from class: `PayloadProcessorProvider.ReaderPayloadProcessor`
  Returns a `PayloadProcessorProvider.ReaderPayloadProcessor` for the given term.

  Specified by:
    `getProcessor` in class `PayloadProcessorProvider.ReaderPayloadProcessor`
  Throws:
    `IOException`